{% set title = 'Couches SIG' %}

{% extends 'report/reportLayout.twig' %}

{% block content %}
    <h1>Générer des fichiers SIG</h1>
    <p>Cette page permet de générer des fichiers SIG au format shape et géopackage.</p>   


    <form id='formExportShape' method='post' action='#' novalidate>

        {% form_theme form 'bootstrap_3_layout.html.twig' %}
        {{ form_widget(form) }}

        {# <button type="submit" class="btn btn-primary">Générer les fichiers shape</button> #}
        {# <button type="submit" class="btn btn-primary">Générer les fichiers shape (Version accélérée EXPERIMENTALE)</button> #}

       {# <button type="submit" class="btn btn-primary" onclick="$('#formExportShape').attr('action', '{{ url('report-gis-layers') }}?old#res');">Générer les fichiers SIG</button> #}
        <button type="submit" class="btn btn-primary" onclick="$('#formExportShape').attr('action', '{{ url('report-gis-layers') }}#res');">Générer les fichiers SIG</button>

    </form>

    {% if res.resTO|default(null) != null %}
        <h2>Résultats</h2>
        <h3>Objets</h3>
        {% for type in res.resTO %}
            Couche {{ type.sysma_object_type|raw }} {{ type.create_table_from_sysma_object_type_id ?  'générée <span class="glyphicon glyphicon-ok text-success"></span>' : 'non générée <span class="glyphicon glyphicon-remove text-danger"></span>' }}<br>
        {% endfor %}
    {% endif %}

    {% if res.resTT|default(null) != null %}    
        <h3>Travaux</h3>
        {% for type in res.resTT %}
            Couche {{ type.sysma_action_type|raw }} {{ type.create_table_from_sysma_action_type_id ?  'générée <span class="glyphicon glyphicon-ok text-success"></span>' : 'non générée <span class="glyphicon glyphicon-remove text-danger"></span>' }}<br>
        {% endfor %}
    {% endif %}
{% endblock %}